API referenceAvatars
Get avatar details
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v1/avatars/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "images": { "front": "http://example.com", "full_body": "http://example.com", "reference_sheet": "http://example.com" }, "reference_kit": { "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e", "status": "pending", "active": true, "sheet_url": "http://example.com", "views": [ { "role": "neutral_front", "url": "http://example.com", "width": 1, "height": 1 } ], "created_at": "2019-08-24T14:15:22Z", "error": "string" }, "pending_reference_kit": { "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e", "status": "pending", "active": true, "sheet_url": "http://example.com", "views": [ { "role": "neutral_front", "url": "http://example.com", "width": 1, "height": 1 } ], "created_at": "2019-08-24T14:15:22Z", "error": "string" }, "tags": [ "string" ], "created_at": "2019-08-24T14:15:22Z" }}